// Code generated by MockGen. DO NOT EDIT.
// Source: cluster_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/user/v1"
	grpc "google.golang.org/grpc"
)

// MockClusterServiceClient is a mock of ClusterServiceClient interface.
type MockClusterServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockClusterServiceClientMockRecorder
}

// MockClusterServiceClientMockRecorder is the mock recorder for MockClusterServiceClient.
type MockClusterServiceClientMockRecorder struct {
	mock *MockClusterServiceClient
}

// NewMockClusterServiceClient creates a new mock instance.
func NewMockClusterServiceClient(ctrl *gomock.Controller) *MockClusterServiceClient {
	mock := &MockClusterServiceClient{ctrl: ctrl}
	mock.recorder = &MockClusterServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockClusterServiceClient) EXPECT() *MockClusterServiceClientMockRecorder {
	return m.recorder
}

// GetClusters mocks base method.
func (m *MockClusterServiceClient) GetClusters(ctx context.Context, in *v1.GetClustersRequest, opts ...grpc.CallOption) (*v1.GetClustersResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "GetClusters", varargs...)
	ret0, _ := ret[0].(*v1.GetClustersResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetClusters indicates an expected call of GetClusters.
func (mr *MockClusterServiceClientMockRecorder) GetClusters(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetClusters", reflect.TypeOf((*MockClusterServiceClient)(nil).GetClusters), varargs...)
}

// PrepareClusterInstallation mocks base method.
func (m *MockClusterServiceClient) PrepareClusterInstallation(ctx context.Context, in *v1.PrepareClusterInstallationRequest, opts ...grpc.CallOption) (*v1.PrepareClusterInstallationResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "PrepareClusterInstallation", varargs...)
	ret0, _ := ret[0].(*v1.PrepareClusterInstallationResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// PrepareClusterInstallation indicates an expected call of PrepareClusterInstallation.
func (mr *MockClusterServiceClientMockRecorder) PrepareClusterInstallation(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "PrepareClusterInstallation", reflect.TypeOf((*MockClusterServiceClient)(nil).PrepareClusterInstallation), varargs...)
}

// MockClusterServiceServer is a mock of ClusterServiceServer interface.
type MockClusterServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockClusterServiceServerMockRecorder
}

// MockClusterServiceServerMockRecorder is the mock recorder for MockClusterServiceServer.
type MockClusterServiceServerMockRecorder struct {
	mock *MockClusterServiceServer
}

// NewMockClusterServiceServer creates a new mock instance.
func NewMockClusterServiceServer(ctrl *gomock.Controller) *MockClusterServiceServer {
	mock := &MockClusterServiceServer{ctrl: ctrl}
	mock.recorder = &MockClusterServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockClusterServiceServer) EXPECT() *MockClusterServiceServerMockRecorder {
	return m.recorder
}

// GetClusters mocks base method.
func (m *MockClusterServiceServer) GetClusters(arg0 context.Context, arg1 *v1.GetClustersRequest) (*v1.GetClustersResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetClusters", arg0, arg1)
	ret0, _ := ret[0].(*v1.GetClustersResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetClusters indicates an expected call of GetClusters.
func (mr *MockClusterServiceServerMockRecorder) GetClusters(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetClusters", reflect.TypeOf((*MockClusterServiceServer)(nil).GetClusters), arg0, arg1)
}

// PrepareClusterInstallation mocks base method.
func (m *MockClusterServiceServer) PrepareClusterInstallation(arg0 context.Context, arg1 *v1.PrepareClusterInstallationRequest) (*v1.PrepareClusterInstallationResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "PrepareClusterInstallation", arg0, arg1)
	ret0, _ := ret[0].(*v1.PrepareClusterInstallationResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// PrepareClusterInstallation indicates an expected call of PrepareClusterInstallation.
func (mr *MockClusterServiceServerMockRecorder) PrepareClusterInstallation(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "PrepareClusterInstallation", reflect.TypeOf((*MockClusterServiceServer)(nil).PrepareClusterInstallation), arg0, arg1)
}

// MockUnsafeClusterServiceServer is a mock of UnsafeClusterServiceServer interface.
type MockUnsafeClusterServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeClusterServiceServerMockRecorder
}

// MockUnsafeClusterServiceServerMockRecorder is the mock recorder for MockUnsafeClusterServiceServer.
type MockUnsafeClusterServiceServerMockRecorder struct {
	mock *MockUnsafeClusterServiceServer
}

// NewMockUnsafeClusterServiceServer creates a new mock instance.
func NewMockUnsafeClusterServiceServer(ctrl *gomock.Controller) *MockUnsafeClusterServiceServer {
	mock := &MockUnsafeClusterServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeClusterServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeClusterServiceServer) EXPECT() *MockUnsafeClusterServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedClusterServiceServer mocks base method.
func (m *MockUnsafeClusterServiceServer) mustEmbedUnimplementedClusterServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedClusterServiceServer")
}

// mustEmbedUnimplementedClusterServiceServer indicates an expected call of mustEmbedUnimplementedClusterServiceServer.
func (mr *MockUnsafeClusterServiceServerMockRecorder) mustEmbedUnimplementedClusterServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedClusterServiceServer", reflect.TypeOf((*MockUnsafeClusterServiceServer)(nil).mustEmbedUnimplementedClusterServiceServer))
}
